Subject: Re: bug#17706: 24.4.50; locked file error in rmail-insert-inbox-text

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jun 2014 18:39:22 +0300

> From: Ken Olum <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 06 Jun 2014 11:09:50 -0400
> 
> To reproduce:
> 
> Start with some messages in your RMAIL file, but no new mail waiting to
> be copied from your inbox.
> 
> emacs -Q
> M-x rmail
> e
> Type space, backspace, so that buffer is modified.
> 
> Then, somewhere else:
> 
> emacs -Q
> M-x rmail
> Get error "RMAIL file RMAIL is locked"

Thanks, but I still cannot reproduce.

Does "M-x rmail" on your system fetch mail from some inbox?  On my
system, it doesn't, so I replaced "M-x rmail" in your recipe with
"C-u M-x rmail SOME-MBOX-FILE RET" in both sessions, and left the rest
of the recipe unaltered.  With that, I don't see the message you cite.

I will try on another system, maybe this is something local.